That ATI driver doesn't appear to have any OpenGL 3.0 support as it is missing the extension required to create an OpenGL 3.0 context, GLX_ARB_create_context. Of course, I wouldn't expect it to be there as the specification was only completed on October 22, the day before NVIDIA released their OpenGL 3.0 driver.